%define name guarddog
%define version 1.0.0
%define release 1mdk

Summary: Firewall Utility
Name: %{name}
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.gz
Copyright: GPL
Group: Networking/Utilities
URL: http://www.simonzone.com/software/guarddog/
Packager: Simon Edwards
Distribution: Linux-Mandrake
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: ipchains
Prefix: %{_prefix}
%description
Guarddog is user friendly firewall generation/management utility for KDE on
Linux. It allows you simply specify which protocols should be allowed and
requires no knowledge of port numbers. It is intended for client machines
and currently does not support router/gateway configurations. Generates
scripts for ipchains.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
CXXFLAGS="$RPM_OPT_FLAGS"
./configure
make

%install
make install prefix=$RPM_BUILD_ROOT/%{prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc README TODO AUTHORS COPYING ChangeLog
%{prefix}/bin/guarddog
%{prefix}/share/apps/guarddog/protocoldatabase
%{prefix}/share/doc/HTML/en/guarddog/
%{prefix}/share/icons/locolor/32x32/apps/guarddog.png
%{prefix}/share/icons/hicolor/48x48/apps/guarddog.png
%{prefix}/share/icons/hicolor/32x32/apps/guarddog.png
%{prefix}/share/icons/locolor/16x16/apps/guarddog.png
%{prefix}/lib/menu/guarddog
%post
if [ -x /usr/bin/update-menus ]; then
    /usr/bin/update-menus
fi

%postun
if [ "$1" = 0 ]; then
    if [ -x /usr/bin/update-menus ]; then
        /usr/bin/update-menus
    fi
fi
%changelog
* Wed Jan 17 2001 Simon Edwards <simon@simonzone.com> 1.0.0-1mdk
- No real changes except for updates and additions to the documentation.

* Fri Dec 22 2000 Simon Edwards <simon@simonzone.com> 0.9.5-1mdk
- Generated firewalls now setup the kernel networking protection.
- Generated firewalls are now tighter, only opening the Local Port range
  instead of all non-privileged ports where appropriate.
- Added option to always Reject Auth requests. (This can speed up POP connections).

* Thu Nov 30 2000 Simon Edwards <simon@simonzone.com> 0.9.4-1mdk
- Small fix for ISDN users. (Thanks to Joerg Buchland).

* Tue Nov 22 2000 Simon Edwards <simon@simonzone.com> 0.9.3-1mdk
- Now requires KDE 2.
- Most of the GUI code has been rewritten for KDE 2.
- GUI has also been cleaned up somewhat.
- It also attempts to automatically identify which interface is
  being used to access the net. (Thanks to J. F. Gratton).
- Added an option to completely disable the firewall.

* Mon Sep 2 2000 Simon Edwards <simon@simonzone.com> 0.9.2-1mdk
- RealPlayer support added.
- Small changes to the GUI to fix a few layout problems. Still
  not perfect, but much better.
- Manual is much more complete now. Now has a tutorial and FAQ section.

* Sun Jul 16 2000 Simon Edwards <simon@simonzone.com> 0.9.1-2mdk
- Fixed a small bug in the menu entry to Guarddog.

* Tue Jul 11 2000 Simon Edwards <simon@simonzone.com> 0.9.1-1mdk
- 0.9.1 release.
- Packaged with RPM for Mandrake 7.1 (should also work with Redhat).
- Some display glitch fixes, still more remain, grrr.
- Should now be able to find the protocol database file ok. Sorry to those people
  who tried to get it to run from source and failed.
- Uses sane defaults for checkboxes in new firewalls.
