/***************************************************************************
                          guarddog.h  -  description
                             -------------------
    begin                : Thu Feb 10 20:57:36 EST 2000
    copyright            : (C) 2000 by Simon Edwards
    email                : simon@simonzone.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GUARDDOG_H
#define GUARDDOG_H

#include <config.h>

// include files for KDE
#include <qvbox.h>
#include <qhbox.h>
#include <qscrollview.h>
#include <kapp.h>
#include <kdialogbase.h>
#include <kaction.h>
#include <kcombobox.h>
#include <kaboutapplication.h>
#include <qcheckbox.h>
#include "protocoldb.h"

#define SYSTEM_RC_FIREWALL	"/etc/rc.firewall"

// forward declaration of the Guarddog classes
class GuarddogDoc;

class GuarddogApp : public KDialogBase {
  Q_OBJECT

  public:
    GuarddogApp(const QString &caption);
    ~GuarddogApp();

    void openFirewall(const QString &filename);
	void openDefault();
    bool applyFirewall();

protected:
    void syncGUI(GuarddogDoc *thisdoc);
    void saveOptions();
    void readOptions();

public slots:

    void slotOk();
	void slotApply();
    void slotCancel();
    void slotUser1();
    void slotInterfaceBox(int index);
    void slotBlockMethod(int index);
    void slotProtocolBox(bool on);
    void slotLogBlockedPackets(bool on);
    void slotAllowPingReplies(bool on);
    void slotLogPing(bool on);
    void slotDisableFirewall(bool on);
    void slotRejectAuth(bool on);
    
private:
    GuarddogDoc *doc;   // Holds all the info about the firewall we are building.
    ProtocolDB *pdb;    // The protocol database we are using.
    bool updatinggui;

    bool waspreviousfirewall;       // True if there was a previous Guarddog firewall active/available
                                    // at program startup.
    bool systemfirewallmodified;    // True if the current state of the system has been modified
                                    // since program startup. This is needed at 'Cancel' time when
                                    // we need to decide if we have any 'Apply'ed changes that need
                                    // to be undone.

        // Pointers to GUI stuff.
    QVBox *generalpage;
    QVBox *clientpage;
    QVBox *serverpage;
    KComboBox *internetinterfacecombo;
    KComboBox *blockcombo;
    QCheckBox *logblockedpacketscheckbox;
    QCheckBox *allowpingcheckbox;
    QCheckBox *logpingcheckbox;
    QCheckBox *disablefirewallcheckbox;
    QCheckBox *rejectauthcheckbox;
    QScrollView *clientscrollview;
    QScrollView *serverscrollview;
	QList<QCheckBox> clientCheckBoxes;
	QList<QCheckBox> serverCheckBoxes;

    KAboutApplication *aboutus;
};

#endif // GUARDDOG_H
