
/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Thu Feb 10 20:57:36 EST 2000
    copyright            : (C) 2000 by Simon Edwards
    email                : simon@simonzone.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>
#include <kmessagebox.h>
#include <unistd.h>
#include "guarddog.h"

int main(int argc, char *argv[]) {

    KAboutData aboutData("guarddog",I18N_NOOP("Guarddog"),VERSION,
        I18N_NOOP("Firewall utility"),KAboutData::License_GPL,
        "(c) 2000, Simon Edwards",
        I18N_NOOP("Utility for easily creating and configuring a firewall. Based on ipchains."),
        "http://www.simonzone.com/software/guarddog/");

    aboutData.addAuthor("Simon Edwards",I18N_NOOP("Developer"),"simon@simonzone.com","http://www.simonzone.com/");
    aboutData.addCredit("J F Gratton",I18N_NOOP("Help with a little bit of network code."));
    aboutData.addCredit("Joerg Buchland",I18N_NOOP("Help with sorting out what /dev interface ISDN uses."));
    KCmdLineArgs::init(argc,argv,&aboutData);
    KApplication app;

//	if(app.isRestored()) {
//        RESTORE(GuarddogApp);
//  	} else {
        // Are we running as root.
    if(getuid()!=0) {
        KMessageBox::sorry(0,i18n("Guarddog must be run as root."));
    } else {
        GuarddogApp *guarddog = new GuarddogApp("Firewall Configuration");
        guarddog->exec();
        delete guarddog;
    }

//    	if(argc>1) {
//			guarddog->openDocumentFile(argv[1]);
//    	}
//  	}

}
