/***************************************************************************
                          protocoldb.h  -  description
                             -------------------
    begin                : Thu Feb 10 2000
    copyright            : (C) 2000 by Simon Edwards
    email                : simon@simonzone.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PROTOCOLDB_H
#define PROTOCOLDB_H

#include <qlist.h>
#include <qstring.h>
#include "protocolinfo.h"

/**
  *@author Simon Edwards
  */

class ProtocolDB {
public: 
	ProtocolDB();
	~ProtocolDB();
    bool read(const char *filename);
    char *lastError() const;
    void setLocalPortRange(uint low, uint high);
    QList<ProtocolInfo> clientsList;
    QList<ProtocolInfo> serversList;

private:
    char *lastErrorString;
    FILE *fhandle;
    void cleanUpRead(int line,char *errormsg);
};

#endif
