/***************************************************************************
                          protocolinfo.h  -  description
                             -------------------
    begin                : Thu Feb 10 2000
    copyright            : (C) 2000 by Simon Edwards
    email                : simon@simonzone.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PROTOCOLINFO_H
#define PROTOCOLINFO_H

#include <qglobal.h>
#include "stringparse.h"

/**
  *@author Simon Edwards
  */
  
class ProtocolInfo {
public: 
	ProtocolInfo();
	~ProtocolInfo();
    bool parseLine(StringParse &parser);
    void setLocalPortRange(uint low, uint high);
    char *name;
    char *description;
    
    class PortSpec {
    	public:
    	PortSpec() {};
        PortSpec *next;
        uint portStart;
        uint portEnd;
        bool localPorts;
    };
    PortSpec *allowInTCP;
    PortSpec *allowInTCPSource;
    PortSpec *allowOutTCP;
    PortSpec *allowOutTCPSource;

    PortSpec *allowInUDP;
    PortSpec *allowInUDPSource;
    PortSpec *allowOutUDP;
    PortSpec *allowOutUDPSource;

private:
    void destroyPortSpec(PortSpec *x);
    bool parsePortSpec(StringParse &parser,PortSpec **x);
    void setPortRangeSpec(PortSpec *spec,uint low,uint high);
};

#endif
