/***************************************************************************
                          stringparse.h  -  description
                             -------------------
    begin                : Tue Feb 1 2000
    copyright            : (C) 2000 by Simon Edwards
    email                : simon@simonzone.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef STRINGPARSE_H
#define STRINGPARSE_H


/**
  *@author Simon Edwards
  */
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h> 
#include <stdio.h>

class StringParse {
public: 
	StringParse();
	~StringParse();
    void setStr(char *str);
    bool compareWord(char *word);
    void skipWhite();
    void skipWord();
    bool compareSubword(char *subword);
    bool endOfString();
    bool getUint(uint &n);
    bool getChar(char &c);
    bool getIP(struct in_addr &IP);
    bool getHexUint(uint &n);
    bool getWord(char *buf,int bufsize);
    bool skipChars(int n);
    char *currentPosition();
    bool getString(char *buffer,int buffersize);
    
    void mark();
    void rollback();
     
private:
    char *str;
    int pos;	
    int markpos;
};

#endif
